<!-- markdownlint-disable-next-line first-line-h1 -->
### By Activity

1. Project Planning
   1. [Home](./Home.md)
   2. [Proposal](./Proposal.md)
      - [Target and Benefits](./Target-and-Benefits.md)
   3. [Project Plan](./Project-Plan.md)
      - [Resource needs](./Resource-Needs.md)
   4. [Legal Issues](./Legal.md)
   5. [QA Plan](./QA-Plan.md)
2. Requirements and Specification
   1. [User Needs](./User-Needs.md)
      - [Interview Notes](./Interview-Notes.md)
   2. [Software Requirements Specification](./SRS.md)
      - [Use Case Suite](./Use-Case-Suite.md)
      - [Feature Set](./Feature-Set.md)
3. Architecture and Design
   1. [Design](./Design.md)
      - [Architecture Worksheet](./Design-Architecture.md)
      - [Source and Build](./Design-Src-Org.md)
      - [User Interface Worksheet](./Design-UI.md)
      - [Persistence Worksheet](./Design-Persistence.md)
      - [Security Worksheet](./Design-Security.md)
4. Implementation and Testing
   1. [User Guide](./User-Guide.md)
   2. [Test Suite](./Test-Suite.md)
      - [Test Case Format](./Test-Case-Format.md)
      - [Test Cases](./Test-Cases.md)
5. Deployment and Installation
   1. [Release Checklist](./Release-Checklist.md)
   2. [Installation / Quick Start Guide](./Installation-Guide.md)
   3. [Release Notes](./Release-Notes.md)
   4. [Demo Script](./Demo-Script.md)
6. Operations and Support
   1. [FAQ / Troubleshooting](./FAQ.md)
   2. [Implementation Notes](./Implementation-Notes.md)
7. Continuous or Final
   1. [Glossary](./Glossary.md)
   2. [Status Report](./Status-Report.md)
   3. [Review Meeting Notes](./Review-Meeting-Notes.md)
   4. [Software Development Methodology](./SDM.md)

### By Suggested Sequence

1. Step 1
   1. [Home](./Home.md)
   2. [Proposal](./Proposal.md)
      - [](./Target-and-Benefits.md)[Target and Benefits](./Target-and-Benefits.md)
   3. [Project Plan](./Project-Plan.md)
      - [Resource needs](./Resource-Needs.md)
   4. [Legal Issues](./Legal.md)
   5. [Glossary](./Glossary.md)
2. Step 2
   1. [User Needs](./User-Needs.md)
      - [Interview Notes](./Interview-Notes.md)
   2. [Software Requirements Specification](./SRS.md)
      - [Use Case Suite](./Use-Case-Suite.md)
      - [Feature Set](./Feature-Set.md)
   3. [Software Development Methodology](./SDM.md)
3. Step 3
   1. [Design](./Design.md)
      - [Architecture Worksheet](./Design-Architecture.md)
      - [Source and Build](./Design-Src-Org.md)
      - [User Interface Worksheet](./Design-UI.md)
      - [Persistence Worksheet](./Design-Persistence.md)
      - [Security Worksheet](./Design-Security.md)
4. Step 4
   1. [QA Plan](./QA-Plan.md)
   2. [Test Suite](./Test-Suite.md)
      - [Test Case Format](./Test-Case-Format.md)
      - [Test Cases](./Test-Cases.md)
5. Step 5
   1. [Review Meeting Notes](./Review-Meeting-Notes.md)
6. Step 6
   1. [Release Checklist](./Release-Checklist.md)
7. Step 7
   1. [Installation / Quick Start Guide](./Installation-Guide.md)
   2. [Release Notes](./Release-Notes.md)
   3. [User Guide](./User-Guide.md)
   4. [Demo Script](./Demo-Script.md)
   5. [FAQ / Troubleshooting](./FAQ.md)
   6. [Implementation Notes](./Implementation-Notes.md)
8. Every week
   1. [Status Report](./Status-Report.md)

### All Templates

1. [Summary](./Summary.md)
2. [Home](./Home.md)
3. [Proposal](./Proposal.md)
   - [Target and Benefits](./Target-and-Benefits.md)
4. [Project Plan](./Project-Plan.md)
   - [Resource needs](./Resource-Needs.md)
5. [QA Plan](./QA-Plan.md)
   - [Test Suite](./Test-Suite.md)
   - [Test Case Format](./Test-Case-Format.md)
   - [Test Cases](./Test-Cases.md)
   - [Review Meeting Notes](./Review-Meeting-Notes.md)
6. [Legal Issues](./Legal.md)
7. [User Needs](./User-Needs.md)
   - [Interview Notes](./Interview-Notes.md)
8. [Software Requirements Specification](./SRS.md)
   - [Use Case Suite](./Use-Case-Suite.md)
   - [Feature Set](./Feature-Set.md)
9. [Glossary](./Glossary.md)
10. [Design](./Design.md)
    - [Architecture Worksheet](./Design-Architecture.md)
    - [Source and Build](./Design-Src-Org.md)
    - [User Interface Worksheet](./Design-UI.md)
    - [Persistence Worksheet](./Design-Persistence.md)
    - [Security Worksheet](./Design-Security.md)
11. [User Guide](./User-Guide.md)
12. [Release Checklist](./Release-Checklist.md)
13. [Installation / Quick Start Guide](./Installation-Guide.md)
14. [Release Notes](./Release-Notes.md)
15. [Demo Script](./Demo-Script.md)
16. [FAQ / Troubleshooting](./FAQ.md)
17. [Implementation Notes](./Implementation-Notes.md)
18. [Status Report](./Status-Report.md)
19. [Software Development Methodology](./SDM.md)

### How to download these templates

- [Download template archive](./https://web.archive.org/web/20200701142616/http://readyset.tigris.org/servlets/ProjectDocumentList.md), or
- Use CVS to [check out](./https://web.archive.org/web/20200701142616/http://readyset.tigris.org/servlets/ProjectSource.md) project
  "readyset" or clone from [ReadySet GFM](./https://github.com/bike-bill/readyset-gfm/wiki.md)
  on Github.
